# Class Subrange

java.lang.Object
uk.ac.starlink.ttools.plot2.Subrange

@Equality public class Subrange extends Object
Designates a sub-range. A subrange is a pair of values (lo,hi) for which lo<=hi, which modifies an external range. If (lo,hi) is (0,1), the external range is unmodified. The natural span of a subrange is therefore in the range 0-1, but there is nothing to stop its values going lower than zero or greater than 1.

Since:
  12 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Subrange()`
Constructs a subrange covering the whole range 0-1.
`Subrange(double lo, double hi)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`double`
`getHigh()`
Returns upper limit.
`double`
`getLow()`
Returns lower limit.
`int`
`hashCode()`
`static boolean`
`isIdentity(Subrange subrange)`
Indicates whether a given subrange is the identity operation, that is has no effect on a range to which it is applied.
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Subrange

public Subrange(double lo, double hi)
Constructor.

Parameters:
  `lo` - lower limit
  `hi` - upper limit
Throws:
  `IllegalArgumentException` - unless lo<=hi

### Subrange

public Subrange()
Constructs a subrange covering the whole range 0-1.

## Method Details

### getLow

public double getLow()
Returns lower limit.

Returns:
  low bound

### getHigh

public double getHigh()
Returns upper limit.

Returns:
  high bound

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isIdentity

public static boolean isIdentity(Subrange subrange)
Indicates whether a given subrange is the identity operation, that is has no effect on a range to which it is applied.

Parameters:
  `subrange` - subrange to test
Returns:
  true iff subrange has values (0,1)